For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList organizations
      • POSTCreate an organization
      • GETGet an organization
      • PATCHUpdate an organization
      • GETList API keys
      • POSTCreate an API key
      • DELRevoke an API key
API ReferenceOrganizations

Revoke an API key

DELETE
https://devapi.withverifa.com/api/v1/organizations/:org_id/keys/:key_id
DELETE
/api/v1/organizations/:org_id/keys/:key_id
$curl -X DELETE https://devapi.withverifa.com/api/v1/organizations/org_id/keys/key_id \
> -H "Authorization: Bearer <token>"
1{
2 "revoked": true
3}
Was this page helpful?
Previous

Get SDK configuration for a capture session

Next
Built with

Authentication

AuthorizationBearer

Admin JWT token via Authorization: Bearer <token>.

Path parameters

org_idstringRequired

Organization ID (org_*).

key_idstringRequired
API key ID.

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Response

API key revoked.
revokedboolean

Errors

401
Unauthorized Error
404
Not Found Error